### Hierarchy

- Body
  - Request

## Index

### Properties

- body
- bodyUsed
- cache
- credentials
- destination
- headers
- integrity
- isHistoryNavigation
- isReloadNavigation
- keepalive
- method
- mode
- redirect
- referrer
- referrerPolicy
- signal
- url

### Methods

- arrayBuffer
- blob
- clone
- formData
- json
- text

## Properties

### body

body: ReadableStream<Uint8Array> | null

Inherited from Body.body

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2225

### bodyUsed

bodyUsed: boolean

Inherited from Body.bodyUsed

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2226

### cache

cache: RequestCache

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11964

Returns the cache mode associated with request, which is a string indicating how the request will interact with the browser's cache when fetching.

### credentials

credentials: RequestCredentials

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11970

Returns the credentials mode associated with request, which is a string indicating whether credentials will be sent with the request always, never, or only when sent to a same-origin URL.

### destination

destination: RequestDestination

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11975

Returns the kind of resource requested by request, e.g., "document" or "script".

### headers

headers: Headers

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11981

Returns a Headers object consisting of the headers associated with request. Note that headers added in the network layer by the user agent will not be accounted for in this object, e.g., the "Host" header.

### integrity

integrity: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11986

Returns request's subresource integrity metadata, which is a cryptographic hash of the resource being fetched. Its value consists of multiple hashes separated by whitespace. [SRI]

### isHistoryNavigation

isHistoryNavigation: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11991

Returns a boolean indicating whether or not request is for a history navigation (a.k.a. back-foward navigation).

### isReloadNavigation

isReloadNavigation: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11995

Returns a boolean indicating whether or not request is for a reload navigation.

### keepalive

keepalive: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12000

Returns a boolean indicating whether or not request can outlive the global in which it was created.

### method

method: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12004

Returns request's HTTP method, which is "GET" by default.

### mode

mode: RequestMode

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12009

Returns the mode associated with request, which is a string indicating whether the request will use CORS, or will be restricted to same-origin URLs.

### redirect

redirect: RequestRedirect

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12014

Returns the redirect mode associated with request, which is a string indicating how redirects for the request will be handled during fetching. A request will follow redirects by default.

### referrer

referrer: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12021

Returns the referrer of request. Its value can be a same-origin URL if explicitly set in init, the empty string to indicate no referrer, and "about:client" when defaulting to the global's default. This is used during fetching to determine the value of the `Referer` header of the request being made.

### referrerPolicy

referrerPolicy: ReferrerPolicy

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12026

Returns the referrer policy associated with request. This is used during fetching to compute the value of the request's referrer.

### signal

signal: AbortSignal

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12031

Returns the signal associated with request, which is an AbortSignal object indicating whether or not request has been aborted, and its abort event handler.

### url

url: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12035

Returns the URL of request as a string.

## Methods

### arrayBuffer

- arrayBuffer(): Promise<ArrayBuffer>

- Inherited from Body.arrayBuffer

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2227

  #### Returns Promise<ArrayBuffer>

### blob

- blob(): Promise<Blob>

- Inherited from Body.blob

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2228

  #### Returns Promise<Blob>

### clone

- clone(): Request

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12036

  #### Returns Request

### formData

- formData(): Promise<FormData>

- Inherited from Body.formData

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2229

  #### Returns Promise<FormData>

### json

- json(): Promise<any>

- Inherited from Body.json

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2230

  #### Returns Promise<any>

### text

- text(): Promise<string>

- Inherited from Body.text

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2231

  #### Returns Promise<string>

Generated using TypeDoc